Upload
Upload an image
Generate a pre-signed S3 URL for uploading an image. The output upload_url must be used to PUT an image.
Example upload request (values taken from the /upload response):
PUT /upload/<signed-url>
Content-Type: <content_type>
<binary-image-data>The file_id can be used to start a batch job through the images field.
Authorization
token_auth AuthorizationBearer <token>
Token-based authentication using access tokens.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://v2.api.piktid.com/upload" \ -H "Content-Type: application/json" \ -d '{}'{
"upload_url": "string",
"download_url": "string",
"file_id": "string",
"filename": "string",
"content_type": "string"
}{
"error": "Invalid request",
"detail": [
{
"field": null,
"message": "string",
"position": "query"
}
]
}Empty